# Return scoped userdata mapping

This function returns all userdata key/value pairs for a given scope.

Endpoint: GET /UserData/get_scoped_userdata
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `scope` (string, required)
    The scope name whose userdata you wish to retrieve.
    Example: "example_scope"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_scoped_userdata"

  - `module` (string)
    The name of the module called.
    Example: "UserData"

  - `result` (object)

  - `result.data` (object)
    The requested scoped userdata mapping.
    Example: {"theme":"dark","items_per_page":"50","show_help_tour":"0"}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


